# FEDOT.LLM и Docker

Здесь представлен Docker файл для запуска FEDOT.LLM

## Using Docker Compose

Чтобы запустить Jupyter блокнот с помощью Docker Compose, выполните следующие шаги:

1. Откройте директорию проекта
2. Запустите команду:

```bash
docker-compose -f docker/docker-compose.yml up
```

После выполнения команды, вы увидите вывод, включающий URL-адрес для доступа к Jupyter блокноту.
Пример URL-адреса: `http://127.0.0.1:8833/tree?token=...`

## Using Docker

### Build Docker image

Чтобы создать образ Docker, следуйте следующим шагам:

1. Откройте директорию проекта
2. Запустите команду:

```bash
docker buildx build -t fedot-llm -f docker/Dockerfile .
```

- `-t` задает имя и тег изображения. В данном случае это `fedot-llm`.
- `-f` указывает используемый `Dockerfile`. В данном случае это `docker/Dockerfile`, который находится в каталоге docker.
- Точка `.` в конце команды указывает Docker контекст. В данном случае это текущая директория.

### Run Docker image

Чтобы запустить Jupyter блокнот, выполните следующие шаги:

```bash
docker run -p 8888:8888 -v $(pwd):/home/fedya fedot-llm 
```

- `-p 8888:8888` задает сопоставление портов между хост-машиной и контейнером. В данном случае это сопоставление порта 8888 на хост-машине с портом 8888 в контейнере.
- `-v $(pwd):/home/fedya` монтирует том с хост-машины в контейнер. В данном случае монтируется текущий рабочий каталог в домашнюю директорию внутри контейнера. Можно пропустить, тогда изменения внутри контейнера не будут сохранены после его остановки.
- `fedot-llm` это имя образа Docker, который был создан ранее.

После выполнения команды, вы увидите вывод, включающий URL-адрес для доступа к Jupyter блокноту.
Пример URL-адреса: `http://127.0.0.1:8833/tree?token=...`
